Get parsed renderer config for an integration archive
Returns the parsed contents of the renderer archive's config.json (the renderer-authored RendererConfig uploaded into the RENDERER_CONFIG meta slot). Used by the admin UI to display a renderer's declared metadata in content type / bucket type editors.
Authorization
OAuth2 upl:privateAuthorizationBearer <token>
OAuth 2.0 authorization
In: header
Scope: upl:private
Header Parameters
Connect-Protocol-Version*number
Define the version of the Connect protocol
Value in
1Connect-Timeout-Ms?number
Define the timeout, in ms
Request Body
application/json
archiveUploadId*string
Archive upload ID — UUID of an integration_config_archive upload the caller has read access to on the internal bucket.
Format
uuid[key: string]?never
Response Body
application/json
application/json
curl -X POST "https://uploads-api.xeonr.io/uplim.api.v1.IntegrationAdminService/GetIntegrationRendererConfig" \ -H "Connect-Protocol-Version: 1" \ -H "Content-Type: application/json" \ -d '{ "archiveUploadId": "0f00a816-1fc2-4597-bbce-ea7af713750b" }'{
"parsed": true,
"configJson": "string",
"thumbnailContentTypeUrn": "string"
}{
"code": "not_found",
"message": "string",
"details": [
{
"type": "string",
"value": "string",
"debug": {}
}
]
}